-- (C) Copyright International Business Machines Corporation 16 September
-- 1991.  All Rights Reserved.
--
-- See the file USERAGREEMENT distributed with this software for full
-- terms and conditions of use.
-- SCCS Info: @(#)chdictionary.d	1.1 9/25/91

chdictionary: using(chphase1, chtransform, interpform)

  definitions
        
    dictionary : table of association {full} KEYS(ID);
    
    association : record(
	ID : operand,
	index : integer
      );
    
    incorporate : callmessage(
	request : lookup,
        references : counter,
	dictionary : dictionary
      )
    exit {full(request), init(dictionary) }
    minimum {init(request), init(request.ID), init(request.family),
	init(request.operands), init(dictionary)};
    incorporateQ : inport of incorporate
       {init(request), init(request.ID), init(request.family),
	init(request.operands), init(references), init(dictionary)};
    incorporateFn : outport of incorporateQ;
    
  end definitions

